﻿@using System.Web.UI.WebControls;
<table width="300px" border = "0">
    <tr>
        <td>
            <span>&nbsp</span>
        </td>
    </tr>

    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Manifest No";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            <b style="color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "ManifestNo";
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Dock Code";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            <b style="color:Red;">*</b>
        </td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                s =>
                {
                    
                    s.Name = "grlDock";
                    s.GridProperties.KeyFieldName = "DockCode";
                    s.Width = 150;
                    s.GridProperties.Width = 150;
                    s.GridProperties.CallbackRouteValues = new { Controller = "EmergencyDCLOrderCreation", Action = "DockCodePartial" };
                    
                    s.GridProperties.Height = 100;
                    s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    s.GridProperties.Enabled = false;
                     
                    //s.GridProperties.ClientSideEvents.SelectionChanged = "GetDockCode";
                    s.GridProperties.Columns.Add(c =>
                    {
                        c.Name = "PlantCD";
                        c.FieldName = "PlantCD";
                        c.Caption = "Plant Code";
                        c.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    });
                    s.GridProperties.Columns.Add(c =>
                    {
                        c.Name = "DockName";
                        c.FieldName = "DockName";
                        c.Caption = "Dock Name";
                    });
                        }).Bind(ViewData["GridDock"]).GetHtml()
                    
                           
            
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Supplier Code";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            <b style="color:Red;">*</b>
        </td>
        <td>
            @Html.Common().DevExpress().GridLookup(
            s =>
            {
                s.Name = "grlSupplier";
                s.GridProperties.KeyFieldName = "SupplierCode";
                s.Width = 150;
                s.GridProperties.Width = 150;
                s.GridProperties.CallbackRouteValues = new { Controller = "EmergencyDCLOrderCreation", Action = "SupplierCodePartial" };
                s.GridProperties.Height = 100;
                s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                //s.GridProperties.ClientSideEvents.BeginCallback = "BeginCommonSupplier";
                s.GridProperties.Columns.Add(c =>
                {
                    c.Name = "SupplierCode";
                    c.FieldName = "SupplierCode";
                    c.Caption = "Supplier Code";
                    c.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                });
                s.GridProperties.Columns.Add(c =>
                {
                    c.Name = "SupplierName";
                    c.FieldName = "SupplierName";
                    c.Caption = "Supplier Name";
                });
            }).Bind(ViewData["GridSupplier"]).GetHtml()
        
        
        </td>
    </tr>
    <tr>
        <td>
            <span>&nbsp</span>
        </td>
    </tr>
    
</table>
<table width="300px" border ="0">
 <tr>
        <td align="right">
            @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "okSingleManifest";
                    settings.Text = "OK";
                    settings.Width = 80;

                    settings.ClientSideEvents.Click = "RetrieveDeliveryContent";                        
                }
            ).GetHtml()
        <td align="right" width="80px">
        @Html.DevExpress().Button(
            settings =>
            {
                settings.Name = "cancelSingleManifest";
                settings.Text = "Cancel";
                settings.Width = 80;

                settings.ClientSideEvents.Click = "EventSingleManifest";                        
            }
        ).GetHtml()
     </tr>
</table>